OracleAppDomain (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppDomain interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppDomain

All Superinterfaces:
  ConfigurationItem, J2EEDomain, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleAppDomain

extends J2EEDomain

OracleAppDomain

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDomain
`IBM_COPYRIGHT`

Method Summary
`OracleAppCluster` | `getCluster()`
`OracleAppProcessManager` | `getProcessManager()`
`boolean` | `hasCluster()`
`boolean` | `hasProcessManager()`
`void` | `setCluster(OracleAppCluster oracleAppCluster)`
`void` | `setProcessManager(OracleAppProcessManager processManager)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDomain
`getAdminHost, getDeployedObjects, getName, getOwner, getPrimarySAP, getResources, getServers, hasAdminHost, hasDeployedObjects, hasName, hasOwner, hasPrimarySAP, hasResources, hasServers, setAdminHost, setDeployedObjects, setName, setOwner, setPrimarySAP, setResources, setServers`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getCluster

    OracleAppCluster getCluster()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setCluster

    void setCluster(OracleAppCluster oracleAppCluster)

### hasCluster

    boolean hasCluster()

### getProcessManager

    OracleAppProcessManager getProcessManager()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setProcessManager

    void setProcessManager(OracleAppProcessManager processManager)

### hasProcessManager

    boolean hasProcessManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD